package okx

import (
	. "gitea.zjmud.xyz/phyer/tanya/okx"
	// "os"
	"testing"
	"time"
)

// func TestCandleList_ToJson(t *testing.T) {
// 	startTime := time.Date(2023, 1, 1, 0, 0, 0, 0, time.UTC)
// 	endTime := time.Date(2023, 12, 31, 0, 0, 0, 0, time.UTC)
// 	cl, err := MakeCandleList("BTC-USDT", "1D", startTime, endTime, 50)
// 	if err != nil {
// 		t.Fatalf("ToJson failed: %v", err)
// 	}
// 	jsonStr, err := cl.ToJson()
// 	if err != nil {
// 		t.Fatalf("ToJson failed: %v", err)
// 	}
//
// 	// Write to temp file
// 	tmpFile := "/tmp/candle_test.json"
// 	err = os.WriteFile(tmpFile, []byte(jsonStr), 0644)
// 	if err != nil {
// 		t.Fatalf("Failed to write json file: %v", err)
// 	}
//
// 	t.Logf("JSON output written to %s", tmpFile)
// }
//
// func TestCandleList_ToCsv(t *testing.T) {
// 	startTime := time.Date(2023, 1, 1, 0, 0, 0, 0, time.UTC)
// 	endTime := time.Date(2023, 12, 31, 0, 0, 0, 0, time.UTC)
// 	cl, err := MakeCandleList("BTC-USDT", "1D", startTime, endTime, 50)
// 	if err != nil {
// 		t.Fatalf("ToJson failed: %v", err)
// 	}
// 	csvStr, err := cl.ToCsv()
// 	if err != nil {
// 		t.Fatalf("ToCsv failed: %v", err)
// 	}
//
// 	// Write to temp file
// 	tmpFile := "/tmp/candle_test.csv"
// 	err = os.WriteFile(tmpFile, []byte(csvStr), 0644)
// 	if err != nil {
// 		t.Fatalf("Failed to write csv file: %v", err)
// 	}
//
// 	t.Logf("CSV output written to %s", tmpFile)
// }

//	func TestCandleList_ToFluentd(t *testing.T) {
//		startTime := time.Date(2023, 1, 1, 0, 0, 0, 0, time.UTC)
//		endTime := time.Date(2023, 12, 31, 0, 0, 0, 0, time.UTC)
//		cl, err := MakeCandleList("BTC-USDT", "1D", startTime, endTime, 50)
//		if err != nil {
//			t.Fatalf("ToEs failed: %v", err)
//		}
//		err = cl.ToFluentd()
//		if err != nil {
//			t.Fatalf("ToEs failed: %v", err)
//		}
//	}

// func TestCandleList_ToElastic(t *testing.T) {
// 	startTime := time.Date(2025, 1, 1, 0, 0, 0, 0, time.UTC)
// 	endTime := time.Date(2025, 3, 1, 0, 0, 0, 0, time.UTC)
// 	cl, err := MakeCandleList("BTC-USDT", "1D", startTime, endTime, 50)
// 	if err != nil {
// 		t.Fatalf("ToEs failed: %v", err)
// 	}
// 	err = cl.ToElastic()
// 	if err != nil {
// 		t.Fatalf("ToEs failed: %v", err)
// 	}
// }:q

func TestCandleListI_CalculateCrossPair(t *testing.T) {
	// 使用更早的时间范围来触发不同的phase
	startTime := time.Date(2024, 3, 1, 0, 0, 0, 0, time.UTC)
	endTime := time.Date(2024, 3, 5, 0, 0, 0, 0, time.UTC)

	// 打印测试时间范围
	t.Logf("Test time range: %s to %s", startTime, endTime)
	okbUsdt, err := MakeCandleList("OKB-USDT", "15m", startTime, endTime, 50)
	if err != nil {
		t.Fatalf("MakeCandleList failed: %v", err)
	}
	ethUsdt, err := MakeCandleList("ETH-USDT", "15m", startTime, endTime, 50)
	if err != nil {
		t.Fatalf("MakeCandleList failed: %v", err)
	}

	okbEth, err := okbUsdt.CalculateCrossPair(ethUsdt)
	if err != nil {
		t.Fatalf("CalculateCrossPair failed: %v", err)
	}

	// 打印交叉对信息
	t.Logf("Cross pair: %s, period: %s, candle count: %d",
		okbEth.CoinPair, okbEth.Period, len(okbEth.Candles))

	// 添加详细的日志输出
	err = okbEth.ToElastic()
	if err != nil {
		t.Fatalf("ToElastic failed: %v", err)
	}

	// 打印成功信息
	t.Log("Test completed successfully")
}
